Package: grails.databinding.errors

## [Java] Interface BindingError

-     public interface BindingError

  Represents a problem which occurred during data binding.

  Authors:
    Jeff Brown
  Since:
    3.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.lang.Throwable` | `getCause()` Returns: an exception thrown during the data binding process
    `` | `public java.lang.Object` | `getObject()` Returns: the object that data binding was being imposed upon
    `` | `public java.lang.String` | `getPropertyName()` Returns: the name of the property that the data binding error occurred on
    `` | `public java.lang.Object` | `getRejectedValue()` Returns: The value which could not be bound to the property

- - ### Method Detail

    - #### public java.lang.Throwable getCause()

      Returns:
        an exception thrown during the data binding process

    - #### public java.lang.Object getObject()

      Returns:
        the object that data binding was being imposed upon

    - #### public java.lang.String getPropertyName()

      Returns:
        the name of the property that the data binding error occurred on

    - #### public java.lang.Object getRejectedValue()

      Returns:
        The value which could not be bound to the property